org.codehaus.groovy.classgen.asm.sc

## Class StaticTypesStatementWriter

- java.lang.Object
- - org.codehaus.groovy.classgen.asm.StatementWriter
  - - org.codehaus.groovy.classgen.asm.sc.StaticTypesStatementWriter

    public class StaticTypesStatementWriter
    extends StatementWriter

A class to write out the optimized statements

### Constructor Summary

Constructors
Constructor and Description
`StaticTypesStatementWriter(StaticTypesWriterController controller)`

### Method Summary

Methods
`void` `writeBlockStatement(BlockStatement statement)`
`protected void` `writeForInLoop(ForStatement loop)`

### Methods inherited from class org.codehaus.groovy.classgen.asm.StatementWriter

`writeAssert, writeBreak, writeCaseStatement, writeContinue, writeDoWhileLoop, writeExpressionStatement, writeForLoopWithClosureList, writeForStatement, writeIfElse, writeIteratorHasNext, writeIteratorNext, writeReturn, writeStatementLabel, writeSwitch, writeSynchronized, writeThrow, writeTryCatchFinally, writeWhileLoop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StaticTypesStatementWriter

    public StaticTypesStatementWriter(StaticTypesWriterController controller)

### Method Detail

#### writeBlockStatement

    public void writeBlockStatement(BlockStatement statement)

Overrides:
  `writeBlockStatement` in class `StatementWriter`

#### writeForInLoop

    protected void writeForInLoop(ForStatement loop)

Overrides:
  `writeForInLoop` in class `StatementWriter`